<?php
/*
Plugin Name: jQuery Form Example
Plugin URI: http://wp-time.com/jquery-form-tutorial-in-wordpress/
Description: Tutorial and simple example for jquery form in wordpress, learn how to use jquery form and make ajax call in wordpress easily.
Version: 1.0.0
Author: Qassim Hassan
Author URI: http://wp-time.com
License: GPLv2 or later
*/

/*  Copyright 2015 Qassim Hassan (email: qassim.pay@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


defined( 'ABSPATH' ) or die( 'No script kiddies please!' );


// include jquery form
function include_jquery_form(){	
	wp_enqueue_script( 'include-jquery-form', plugins_url( '/js/ajax.js', __FILE__ ), array('jquery-form'), false, false);
}
add_action('wp_enqueue_scripts', 'include_jquery_form');


// html form element
function my_html_form_element(){

	?>
		<div id="just-contact-form-wrap">
			<form id="my-form" action="<?php echo esc_url( $_SERVER['REQUEST_URI'] ); ?>" method="post">

				<p>Enter Your Name<br><input type="text" value="" name="my_text_input"></p>

				<p><input type="submit" name="my_form_submit" value="Send" id="form-submit"></p>

				<p id="ajax-load" style="display:none;"><img src="<?php echo plugins_url( '/images/ajax-load.GIF', __FILE__ ); ?>"></p>
			</form>

			<div id="result" style="display:none;"></div>
		</div>
	<?php

}


// make shortcode
function my_html_form_shortcode(){
	ob_start();
	my_html_form_element();
	return ob_get_clean();
}
add_shortcode('my_html_form', 'my_html_form_shortcode'); // your shortcode is [my_html_form]


// make ajax call
function my_ajax_call(){

	if( isset($_POST['my_form_submit']) and $_SERVER['REQUEST_METHOD'] == "POST" ){

		if( empty($_POST['my_text_input']) ){
			echo '<p>Name field is empty! Please enter your name.</p>';
			exit(); // exit() function is important!!
		}else{
			echo 'Your name is: '.$_POST['my_text_input'];
			exit(); // exit() function is important!!
		}

	}

}
add_action('init', 'my_ajax_call');

?>